// Author : Pierre Vuillemin (2016)
// License : GNU GPL

function sopi_plotProblem(problem, varargin)
   if typeof(problem) ~= 'sopiPro' then
      error('Expecting a sopiPro as first argument.')
   end
   nvars = problem.nvar
   if nvars ==1 then
      sopi_plot1DProblem(problem, varargin(1))
   elseif nvars == 2 then
      if length(varargin)==2 then
         sopi_plot2DProblem(problem, varargin(1), varargin(2))
      else
         sopi_plot2DProblem(problem, varargin(1))
      end
   else
      error('Can only plot 1D/2D problems')
   end
endfunction
