// Author : Pierre Vuillemin (2016)
// License : GNU GPL

// sopiVar + sopiVar ...........................................................
function newVar = %sopiVar_a_sopiVar(var1,var2)
   sopi_print(5,'Performing sopiVar + sopiVar.\n')
   OP       = 'sum'
   newSize  = sopi_checkSizesCoherence(var1, var2, OP)
   if var1.isScalar & ~var2.isScalar then
      var1 = ones(newSize(1),newSize(2)) * var1;
   elseif var2.isScalar & ~var1.isScalar  then
      var2 = ones(newSize(1),newSize(2)) * var2;
   end
   newVar         = sopi_newVar('size'    ,      newSize,...
                                'operator',        OP)
   // Arguments of the var
   newVar.args    = sopi_simplifyArgs(var1, var2, OP)
   // Properties of the new variable
   additionRules  = sopi_load_rules(OP)
   P              = sopi_newMatProp(newSize)
   newVar.prop    = sopi_applyRulesEW(additionRules, P, var1.prop, var2.prop)
endfunction
