# Sopi
Sopi is a tool for easing the process of writing optimisation problems in [Scilab](http://www.scilab.org/).

# Features

In its current state, Sopi enables to

* formulate linear optimisation problems,
* solve linear optimisation problems with: karmarkar, linpro,
* plot 2D linear problems with their constraints.

# Interface to solvers

| Solver        |         Target                          |       Availability      |
| ------------- |:---------------------------------------:| -----------------------:|
| ``karmarkar`` | Linear optimisation                     | Scilab's builtin        |
| ``linpro``    | Linear optimisation                     | Quapro module (Scilab)  |
| ``qld``       | Strictly convex quadratic optimisation  | Scilab's builtin        |
| ``quapro``    | Quadratic optimisation                  | Quapro module (Scilab)  |


# Licence
Sopi is released under the [GNU GPL](https://www.gnu.org/licenses/gpl-3.0.txt).
