// Author : Pierre Vuillemin (2016)
// License : GNU GPL

function P = sopi_applyRulesEW(rules, P, varargin)
   m = size(P)
   n = size(P(1))
   for i=1:m
      for j = 1:n
         args = list()
         for l = 1:length(varargin)
            args($+1) = varargin(l)(i)(j)
         end
         P(i)(j) = sopi_applyRules(rules,P(i)(j),args)
      end
   end
endfunction
