// Author : Pierre Vuillemin (2016)
// License : GNU GPL

function newVar = %s_m_sopiVar(A,var)
   // Overloads the (matrix) multiplication between a constant
   // and a sopiVar: A * sopiVar
   sopi_print(5,'Performing matrix*sopiVar.\n')
   [m,n] = size(A)
   if and(A == 0) then
      newVar = []
   elseif and(A == eye(m,n)) then
      newVar = var
   else
      if isscalar(A)
         A = A * eye(size(var,1), size(var,1))
      end
      Avar           = sopi_constant(A)
      newVar         = Avar * var;
   end
endfunction
